Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display.event
Interface GraphicMouseEvent

All Superinterfaces:
  GraphicEvent

    public interface GraphicMouseEvent

extends GraphicEvent

Provides a common abstraction for the various event objects pertaining to mouse events on a `Graphic`.

TODO:
  This interface wraps a `MouseEvent`, which is not used by some toolkit like SWT.

Field Summary
`static int` | `MOUSE_CLICKED` Flag for mouse clicked.
`static int` | `MOUSE_DWELLED` Flag for mouse dwelled.
`static int` | `MOUSE_PRESSED` Flag for mouse pressed.
`static int` | `MOUSE_RELEASED` Flag for mouse released.

Method Summary
`int` | `getID()` Get the ID flag for this event.
`MouseEvent` | `getMouseEvent()` Returns the `MouseEvent` that this event references.

Methods inherited from interface GraphicEvent
`consume, getGraphic, isConsumed`

Field Detail

### MOUSE_CLICKED

    static final int MOUSE_CLICKED

  Flag for mouse clicked.

  See Also:
    Constant Field Values

### MOUSE_DWELLED

    static final int MOUSE_DWELLED

  Flag for mouse dwelled.

  See Also:
    Constant Field Values

### MOUSE_PRESSED

    static final int MOUSE_PRESSED

  Flag for mouse pressed.

  See Also:
    Constant Field Values

### MOUSE_RELEASED

    static final int MOUSE_RELEASED

  Flag for mouse released.

  See Also:
    Constant Field Values

Method Detail

### getID

    int getID()

  Get the ID flag for this event. Returns `AWTEvent.getID()`, unless the semantic is not supported by `MouseEvent`, e.g. `MOUSE_DWELLED`.

  TODO:
    This specification is incompatible with `MouseEvent` constants! This is because `MOUSE_CLICKED` value is different from `MouseEvent.MOUSE_CLICKED` value, etc.

### getMouseEvent

    MouseEvent getMouseEvent()

  Returns the `MouseEvent` that this event references.

  Returns:
    the `MouseEvent` referenced by this event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.